package com.cyksj.service.goods;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.GoodsWholesale;
import com.cyksj.model.entity.GoodsWholesaleUserAccount;
import com.cyksj.model.request.OrderRefundReq;

import java.util.List;
import java.util.Map;

/**
 * 项目名: yhlxj
 * 文件名: GoodsWholesaleService
 * 创建者: JavaZou
 * 创建时间:2024/8/26 11:49
 */
public interface GoodsWholesaleService extends IService<GoodsWholesale> {
	void depositRefund(Long id, Long adminId) throws Exception;

	void wxRefundNotify(Map<String, String> map) throws Exception;

	void uploadAccount(List<Object> acountList, Long orderId);

	 void saveOrUpdateWholesale(GoodsWholesale wholesale) throws Exception;

	void updateOrderAccount(List<GoodsWholesaleUserAccount> goodsWholesaleUserAccounts);

	void insertOrderAccount(List<GoodsWholesaleUserAccount> goodsWholesaleUserAccounts);

	void wholesaleOrderRefund(OrderRefundReq refundReq) throws Exception;
}
